petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSetCoordinates

sets the coordinates of all the nodes on the local process

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetCoordinates(PC pc, PetscInt dim, PetscInt nloc, PetscReal *coords)

Collective on PC Many br

### Input Parameters

| pc | - the solver context Many br
| dim | - the dimension of the coordinates 1, 2, or 3 Many br
| coords | - the coordinates Many br

Many br

Notes: coords is an array of the 3D coordinates for the nodes on Many brthe local processor. So if there are 108 equation on a processor Many brfor a displacement finite element discretization of elasticity (so Many brthat there are 36 = 108/3 nodes) then the array must have 108 Many brdouble precision values (ie, 3 * 36). These x y z coordinates Many brshould be ordered for nodes 0 to N-1 like so: [ 0.x, 0.y, 0.z, 1.x, Many br... , N-1.z ]. Many br

### See Also

MatSetNearNullSpace

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex54.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html